Bug 4466 - mgetty-1.1.14-policy.patch, poor system configuration due to root email patch.
mgetty-1.1.14-policy.patch, poor system configuration due to root email patch.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: mgetty (Show other bugs)
6.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-10 15:26 EDT by niggemyer
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-31 16:23:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description niggemyer 1999-08-10 15:26:55 EDT
The mgetty-1.1.14-policy.patch which changes the default
MAIL_TO from "faxadmin" to "root" is unnecessary, and takes
away from flexibility of the overall system.

Most people probably do not want an e-mail sent to root
every time a fax comes in.  In a large installation, this
could become very burdensome.  Rather than put the
responsibility on the mail client to filter all these
messages out, why not just send all fax mail to "faxadmin"?
(as mgetty was smartly designed to do so in the first
place).

Redhat has already gone to the trouble of making
an /etc/aliases file with entries for system, admin,
postmaster, etc.  Since this mechanism is alredy in place,
the simple addition of another line in /etc/alaises, ala

faxadmin: root

would make a working fax system much more usable.  The
admin could very easily send the fax mails to root, another
user, /dev/null, or a number of any other things.

Compiling in MAIL_TO=root makes sending the mail anywhere
other than to root very hard!!  It seems silly to need to
use procmail or other filtering mechanisms if you don't
want root to get hundreds of e-mails about mgetty recieving
faxes.

K. Brant Niggemyer
Comment 1 Jeff Johnson 1999-08-31 16:23:59 EDT
The file /etc/aliases, in the sendmail package, is marked
%config(noreplace). What that means is, if I add faxadmin as
an alias and compile MAILTO=faxadmin into mgetty, is that mail
to faxadmin will break on upgrades. I'm going to punt and leave
MAILTO=root because at least the mail gets through even though
that requires root to use a filter. You can, of course, apply
the patch to mgetty and recompile. Red Hat can't do this because
of the way sendmail is packaged.

Note You need to log in before you can comment on or make changes to this bug.